Subject: Re: [Iasa20] IASA 2.0 outcome properties

From: Alissa Cooper <[email-masked]>
Date: Wed, 3 May 2017 10:31:23 -0400

I’ve taken another cut at this based on the list discussion. New text is below. Couple of notes:

The only change in the Administration section is an additional sentence about the nomcom process in #2, per Randy and Jason. I think Michael’s point is addressed in Administration #1. 

I refactored the Oversight section based on the comments from Stephen and Ted. Hopefully this is clearer now.

The Funding section is unchanged. I think Brian’s concerns are addressed by Funding #2.

How is this looking to folks?

——

Administration

1. For each of the following functions, it should be clearly defined and documented who is responsible for executing the functions and who is responsible for overseeing those that do the execution. In cases where execution or oversight are done by paid staff, contractors, ISOC, or any paid entity, the mechanisms for obtaining community input and involvement should be clearly defined and documented.  

- Administrative support
- Budgeting
- Contracting
- Accounting
- Development (including fundraising)
- Meeting planning
- Legal support
- Communications
- Outreach
- IT support

(In the rest of this list, I refer to these functions and those executing them collectively as "administration" for short.)

2. Administration should have no influence over the technical decisions of the IETF or over the technical contents of IETF work. The structure of the existing nomcom process should remain unchanged. (By implication, suggestions for changes to standards development processes, technical leadership, technical leadership appointments, open participation, etc., are out of scope for this discussion.)

3. Administration should operate transparently by default, within the limits of business confidentiality. Budgets should be transparent.

4. Administration should be able to incorporate participation from community volunteers, but its functioning should not be dependent on community volunteers. In other words, the number of paid staff and contractors should be able to dynamically grow and shrink to suit the administrative needs of the IETF, including by accommodating those needs entirely with paid staff if volunteers are not available.

Oversight

1. The IETF community should have mechanisms available for holding paid personnel accountable for the work they are expected to perform. Such mechanisms might include setting contract terms, conducting performance reviews, hiring and firing, or setting compensation. Whether to delegate these or other oversight tasks should be the choice of the IETF community.  

2. Oversight should be conducted transparently by default, within the limits of business confidentiality.

Funding

1. IETF funds should reside in their own independent financial account(s) with independent governance.

2. An organization that funds the IETF should have no more influence over IETF standards development outcomes than any other organization.

3. Funding for IETF operations should be derived from multiple sources.

4. The IETF funding strategy should incorporate both short-term/just-in-time and long-term fundraising vehicles. 

5. Long-term funding vehicles should have greater emphasis than short-term ones to reduce the overhead associated with obtaining sponsorships meeting-by-meeting and to allow for experimentation with new initiatives within the IETF.

Alissa

> On Apr 19, 2017, at 11:39 AM, Alissa Cooper <[email-masked]> wrote:
> 
> As noted at IETF 98, it seems that one reasonable next step here is to articulate some properties of the desirable end state of this work -- what Jonne called the target. What are the properties of the outcome that we want? I've put together the list below, reflecting the discussion in Chicago, the drafts that were written beforehand, and some material from BCP 101.
> 
> I don't think we need to nitpick on the details or wordsmith this per se, but it would be good to get a general sense of whether this captures the properties of the outcome that we're collectively looking for here. So please send feedback on whether you think the list below meets that bar. If we get to a place where there seems to be some agreement about a list of this sort, it will make it easier to start discussing solution options for the present set of problems. 
> 
> Below the list, I've included a couple of notes (just from my individual perspective) to try to provide a little more context.
> 
> == List ==
> 
> Administration
> 
> 1. For each of the following functions, it should be clearly defined and documented who is responsible for executing the functions and who is responsible for overseeing those that do the execution. In cases where execution or oversight are done by paid staff, contractors, ISOC, or any paid entity, the mechanisms for obtaining community input and involvement should be clearly defined and documented.  
> 
> - Administrative support
> - Budgeting
> - Contracting
> - Accounting
> - Development (including fundraising)
> - Meeting planning
> - Legal support
> - Communications
> - Outreach
> - IT support
> 
> (In the rest of this list, I refer to these functions and those executing them collectively as "administration" for short.)
> 
> 2. Administration should have no influence over the technical decisions of the IETF or over the technical contents of IETF work. (By implication, suggestions for changes to standards development processes, technical leadership, technical leadership appointments, open participation, etc., are out of scope for this discussion.)
> 
> 3. Administration should operate transparently, within the limits of business confidentiality. Budgets should be transparent.
> 
> 4. Administration should be able to incorporate participation from community volunteers, but its functioning should not be dependent on community volunteers. In other words, the number of paid staff and contractors should be able to dynamically grow and shrink to suit the administrative needs of the IETF, including by accommodating those needs entirely with paid staff if volunteers are not available.
> 
> 
> Oversight
> 
> 1. Oversight over administration should be community-led. 
> 
> 2. Oversight should be conducted transparently, within the limits of business confidentiality.
> 
> 3. For personnel who are dedicated full-time or nearly full-time to IETF administration, the oversight function should include hiring and firing the personnel, reviewing the performance of the personnel, and setting the compensation of the personnel. (Text inspired by https://tools.ietf.org/html/bcp101#section-3). 
> 
> 4. For personnel whose employment responsibilities include IETF administration as well as contractors, the oversight function should include reviewing the performance of those personnel and contractors. 
> 
> 
> Funding
> 
> 1. IETF funds should reside in their own independent financial account(s) with independent governance.
> 
> 2. An organization that funds the IETF should have no more influence over IETF standards development outcomes than any other organization.
> 
> 3. Funding for IETF operations should be derived from multiple sources.
> 
> 4. The IETF funding strategy should incorporate both short-term/just-in-time and long-term fundraising vehicles. 
> 
> 5. Long-term funding vehicles should have greater emphasis than short-term ones to reduce the overhead associated with obtaining sponsorships meeting-by-meeting and to allow for experimentation with new initiatives within the IETF.
> 
> 
> == Discussion ==
> 
> Out of the list above, I think we do not currently meet the following ones, or we at least have room for improvement: administration #1, 3, and 4; oversight #2, 3 and 4, and funding #1, 4, and 5. Most of the rest were mentioned at IETF 98 or in the drafts and seem like things that people wanted to document to make sure they won't change going forward. 
> 
> Regarding oversight #3 and 4, the point here is to align individuals' employment objectives with the administrative objectives of the IETF. If we have administrative roles designed for people to be spending their paid work time on IETF administration, it makes sense that people from the IETF community would have some role in reviewing their performance. This is not the case today for a number of ISOC staff who provide administrative support to the IETF. And for individuals who spend the majority of their work time on IETF administration, it makes sense that people from the IETF community would have some additional role in selecting those individuals and setting their compensation (or that community participants would be able to choose to delegate those tasks, at least). Our documented process establishes that this is what we should be doing for the IAD and for contractors (assuming that establishing contract values and selecting firms are the equivalent steps for contractors) already
> . But this is not what we are doing for communications or fundraising.
> 
> Alissa
> 
> 
> 
> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20